Bug 845407 - freeimage FTBFS due to libtiff changes
freeimage FTBFS due to libtiff changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeimage (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 21:43 EDT by Tom Lane
Modified: 2013-07-02 23:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: freeimage-3.10.0-11.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 11:14:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replace direct TIFFField struct accesses with accessor functions (6.49 KB, patch)
2012-08-02 21:43 EDT, Tom Lane
no flags Details | Diff

  None (edit)
Description Tom Lane 2012-08-02 21:43:50 EDT
Created attachment 602044 [details]
replace direct TIFFField struct accesses with accessor functions

Description of problem:
freeimage failed the F18 mass rebuild because we are now using libtiff 4.0.x, which has made some incompatible API changes.  I attach a quick-and-dirty proposed patch to fix it.

Version-Release number of selected component (if applicable):
freeimage-3.10.0-10.fc18

How reproducible:
100%

Steps to Reproduce:
1.  Try to build in rawhide.

Additional info:
The issue is that libtiff decided to replace struct TIFFFieldInfo in their API with an opaque struct TIFFField.  Unfortunately, they then forgot to provide any accessor functions for TIFFField, which means that as of libtiff 4.0 freeimage is not only broken but unfixable.  I pestered upstream to fix this, and suitable accessors have been added to their CVS, but until they release 4.0.3 there won't be an official release containing same.  I have stuck the patch for the accessors into Fedora rawhide anyway.  The upshot of this is that the attached patch requires at least libtiff-4.0.2-5.fc18 to compile.

This is just a quick-and-dirty patch to get things building in rawhide.  If you want to turn it into something upstreamable, you'd probably need to make the code changes dependent on a configure test.

I'd appreciate it if you could get freeimage rebuilt in rawhide ASAP, either with this patch or something of your own devising.  freeimage is the last remaining package depending on libtiff-compat (the hangover libtiff 3.9 package) and I'd really like to kill that before the F18 branch happens next week.
Comment 1 Rakesh Pandit 2012-08-03 02:27:46 EDT
Hello Tom,

Thanks for all your work and reporting this issue. Sadly I am in transition period from Job to University right now. Would be able to do any fedora work for coming three months at least. I don't even have a machine to boot Fedora and don't see getting one till August end.

I would appreciate if you can help me here and go ahead and build it yourself in rawhide before F18 branching happens. In case you cannot do it please ping me here and I will look for any fellow packager who can help me doing this.

Regards,
Comment 2 Rakesh Pandit 2012-08-03 02:28:34 EDT
*Wouldn't be able to do any fedora....

Sorry for typo.

Regards,
Comment 3 Rakesh Pandit 2012-08-03 02:32:00 EDT
One more typo: for 3 weeks. I will be able to get a machine by August end.
Comment 4 Tom Lane 2012-08-03 02:47:05 EDT
(In reply to comment #1)
> I would appreciate if you can help me here and go ahead and build it
> yourself in rawhide before F18 branching happens. In case you cannot do it
> please ping me here and I will look for any fellow packager who can help me
> doing this.

Would happily do that, but I don't have commit privileges on this package (I'm not a provenpackager).  Do you want to give me commit privs, or just find someone else to handle it?
Comment 5 Rakesh Pandit 2012-08-03 03:01:26 EDT
(In reply to comment #4)
> (In reply to comment #1)
> > I would appreciate if you can help me here and go ahead and build it
> > yourself in rawhide before F18 branching happens. In case you cannot do it
> > please ping me here and I will look for any fellow packager who can help me
> > doing this.
> 
> Would happily do that, but I don't have commit privileges on this package
> (I'm not a provenpackager).  Do you want to give me commit privs, or just
> find someone else to handle it?

I have access to web for time being, so it would be great if you can apply for commit rights on pkgdb. I will approve you asap.

Thanks once again for looking into it. Much appreciated.

Regards,
Comment 6 Tom Lane 2012-08-03 03:07:31 EDT
(In reply to comment #5)
> I have access to web for time being, so it would be great if you can apply
> for commit rights on pkgdb.

OK, done.  I'm about to go to bed, but will take care of the patch tomorrow.  Thanks!
Comment 7 Tom Lane 2012-08-03 11:14:47 EDT
Done, thanks for letting me do that ...

Note You need to log in before you can comment on or make changes to this bug.